import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    redirectTo: '/cloth',
    pathMatch: 'full'
  },
  {
    path: 'cloth',
    loadComponent: () => import('../modules/cloth/color/layout-main-layout/layout-main-layout/layout-main-layout').then(m => m.LayoutMainLayout),
    children: [
      {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full'
      },
      {
        path: 'home',
        loadComponent: () => import('../modules/cloth/color/page/page-home/page-home/page-home').then(m => m.PageHome)
      },
      {
        path: 'design-center',
        loadChildren: () => import('../modules/cloth/color/pages-design-center/design-center.routes').then(m => m.designCenterRoutes)
      },
      {
        path: 'fitting-room',
        loadComponent: () => import('../modules/cloth/color/pages-fitting-room/pages-fitting-room/pages-fitting-room').then(m => m.PagesFittingRoom)
      },
      {
        path: 'community',
        loadComponent: () => import('../modules/cloth/color/page/pages-community/pages-community/pages-community').then(m => m.PagesCommunity)
      },
      {
        path: 'my-space',
        loadComponent: () => import('../modules/cloth/color/page/pages-my-space/pages-my-space/pages-my-space').then(m => m.PagesMySpace)
      }
    ]
  },
  {
    path: '**',
    redirectTo: '/cloth/home'
  }
];